Bug 62587 - FILESAVE: File involving DDE links did not save correctly
Summary: FILESAVE: File involving DDE links did not save correctly
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.5.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-21 12:11 UTC by Vipul Naik
Modified: 2015-02-11 19:54 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Sheet2 with formulas in terms of Sheet1 shows the problem (18.00 KB, application/vnd.ms-excel)
2013-04-18 21:14 UTC, Vipul Naik
Details
Screenshot when save and reopen attachment 78197 in libreoffice 4.3.0.0 beta2 (Works OK) (138.04 KB, image/png)
2014-06-10 15:06 UTC, Kevin Suo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vipul Naik 2013-03-21 12:11:32 UTC
A particular file I was working with and saving regularly appeared to be saved, but reopening the saved file yielded a file that was mostly the same, except that some cells that were filled with DDE links in the original were just blank in the new version. I could not reproduce the bug by saving again.

I actually had some total values in the columns that I copied to another file, so I'm quite confident I'm not imagining this.
Operating System: Windows 8
Version: 3.6.5.2 release
Comment 1 Vipul Naik 2013-03-21 12:16:17 UTC
I have snapshots of the file thanks to Dropbox, and it seems that none of the snapshots seems to contain those particular DDE links, even though the version I was working with definitely had those links functioning properly. Basically, through two hours of working on and saving the file, the "saved" version was not in sync with the version that I was working on in terms of the DDE cells.

I was saving the file in the Excel 97/XP/2003 format, so it's possible that that was the problem.
Comment 2 Vipul Naik 2013-04-18 21:14:31 UTC
Created attachment 78197 [details]
Sheet2 with formulas in terms of Sheet1 shows the problem

The two columns in Sheet 2 should save identically, but don't. This is because for some of the DDE links, LibreOffice falsely puts parentheses around the links, and these parentheses mess things up when saving.
Comment 3 Vipul Naik 2013-04-18 21:18:26 UTC
I think that the source of the problem is with the parentheses that LibreOffice puts in the DDE link text, which might be messing up with the algorithm for saving as an Excel 97/2000/XP file. When saving as XLSX (2007 or later) the parentheses are removed at the time of saving and the file does not seem to be corrupted. In the preceding attachment, the first column of Sheet 2 is taken from a XLSX saved document (and does not have parentheses in the DDE linked cells) whereas the second column of Sheet 2 is constructed by pasting DDE links and saving in the XLS format.

I don't know why some of the entries get blanked out upon saving. As far as I can make out, it is somewhat arbitrary. But only some of the "0" entries seem to get blanked out upon saving. None of the non-"0" entries are blanked out upon saving. Further, I wasn't able to reproduce the bug in a simpler setting.
Comment 4 Kevin Suo 2014-06-10 15:06:03 UTC
Created attachment 100824 [details]
Screenshot when save and reopen attachment 78197 [details] in libreoffice 4.3.0.0 beta2 (Works OK)

@Vipul Naik,
Is this bug still exists in the latest libreoffice versions? (please upgrade to 4.2.4.2, or 4.1.6 and have a test)

I tried the following steps but I did not see any problem:
1. I downloaded your test file (attachment 78197 [details]);
2. I open your file with libreoffice 4.3.0.0 beta2, then save as "checksomething 4.3.0.0 beta2.xls";
3. I reopen the saved file with libreoffice 4.3.0.0 beta2.

See the screenshot for the result. (I added two columns with "=FORMULA(...)" to show the formulas in column A and B.

If this bug still exists in the latest versions, would you please provide some simple and clear steps to reproduce the problem? If you can not reproduce it, then this should be set as WORKSFORME.

I set this bug as NEEDINFO at this moment.

Thanks
Comment 5 QA Administrators 2015-01-10 18:06:22 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

Message generated on: 10/01/2015
Comment 6 QA Administrators 2015-02-11 19:49:00 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO

Message generated on: 2015-02-11
Comment 7 QA Administrators 2015-02-11 19:54:17 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 

Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-02-11